Get sync history settings
GET
/sync-history/settings
const url = 'https://example.com/api/v1/sync-history/settings';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/sync-history/settingsResponses
Section titled “Responses”Sync history settings
Media typeapplication/json
object
enabled
required
boolean
retentionDays
required
integer
retentionMaxEntries
required
Keep at most this many rows; 0 disables the entry cap (age-only retention).
integer
Examplegenerated
{ "enabled": true, "retentionDays": 1, "retentionMaxEntries": 1}Failed to read sync history settings
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}